### Class

# Foundry VcsLineChanges

#### Description

    abstract class Foundry.VcsLineChanges : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### foundry_vcs_line_changes_foreach

No description available.

###### foundry_vcs_line_changes_query_line

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryVcsLineChangesClass {
      GObjectClass parent_class;
      FoundryVcsLineChange (* query_line) (
        FoundryVcsLineChanges* self,
        guint line
      );
      void (* foreach) (
        FoundryVcsLineChanges* self,
        guint first_line,
        guint last_line,
        FoundryVcsLineChangesForeach foreach,
        gpointer user_data
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`query_line: FoundryVcsLineChange (* query_line) ( FoundryVcsLineChanges* self, guint line )`

  No description available.

`foreach: void (* foreach) ( FoundryVcsLineChanges* self, guint first_line, guint last_line, FoundryVcsLineChangesForeach foreach, gpointer user_data )`

  No description available.

#### Virtual methods

###### Foundry.VcsLineChangesClass.foreach

No description available.

###### Foundry.VcsLineChangesClass.query_line

No description available.